Debian Bug report logs - #471062
ixp4xx: stalls and I/O errors when reading and writing via NFS

version graph

Package: linux-image-2.6.24-1-ixp4xx; Maintainer for linux-image-2.6.24-1-ixp4xx is (unknown);

Reported by: Paul Collins <paul@burly.ondioline.org>

Date: Sat, 15 Mar 2008 15:39:02 UTC

Severity: normal

Found in version linux-2.6/2.6.24-4

Fixed in version linux-2.6/2.6.24-5

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to Paul Collins <paul@burly.ondioline.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Collins <paul@burly.ondioline.org>
To: submit@bugs.debian.org
Subject: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Sun, 16 Mar 2008 04:34:49 +1300
Package: linux-image-2.6.24-1-ixp4xx
Version: 2.6.24-4

I recently upgraded my NSLU2 from etch/arm to lenny/armel.  I had no
problems throwing any amount of NFS traffic at it when I was on arm
(kernel linux-image-2.6.18-6-ixp4xx version 2.6.18.dfsg.1-18etch1), but
now that I'm on armel I get a lot of messages from nfsd in dmesg.

When reading:
        nfsd: recvfrom returned errno 14

When writing:
        nfsd: non-standard errno: -14

The read problem manifests as mplayer stalling every minute or so when
playing a movie from the NFS mount.  The write problem manifests as cp
or mv reporting an I/O error for one or more files when I copy 40 or
50MB worth to the NFS mount.

Bug #404447 sounded similar and with the tcp_wmem sysctl setting
suggested therein applied mplayer behaves itself.  However, the
recvfrom messages are still logged and writes still throw an I/O
error now and then.

The network setup is the NSLU2 and the client connected by wired
Ethernet to a Linksys WRT54GL.

-- 
Paul Collins
Wellington, New Zealand

Dag vijandelijk luchtschip de huismeester is dood




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 471062@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Paul Collins <paul@burly.ondioline.org>, 471062@bugs.debian.org
Cc: Gordon Farquharson <gordonfarquharson@gmail.com>
Subject: Re: Bug#471062: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Tue, 18 Mar 2008 10:38:02 +0100
* Paul Collins <paul@burly.ondioline.org> [2008-03-16 04:34]:
> Version: 2.6.24-4
> 
> I recently upgraded my NSLU2 from etch/arm to lenny/armel.  I had no
> problems throwing any amount of NFS traffic at it when I was on arm
> (kernel linux-image-2.6.18-6-ixp4xx version 2.6.18.dfsg.1-18etch1), but
> now that I'm on armel I get a lot of messages from nfsd in dmesg.

We changed the Ethernet driver used for the NSLU2 in 2.6.24, so it's
possible there are some regression compared to 2.6.18.  Gordon, have
you seen this issue before?


> When reading:
>         nfsd: recvfrom returned errno 14
> 
> When writing:
>         nfsd: non-standard errno: -14
> 
> The read problem manifests as mplayer stalling every minute or so when
> playing a movie from the NFS mount.  The write problem manifests as cp
> or mv reporting an I/O error for one or more files when I copy 40 or
> 50MB worth to the NFS mount.
> 
> Bug #404447 sounded similar and with the tcp_wmem sysctl setting
> suggested therein applied mplayer behaves itself.  However, the
> recvfrom messages are still logged and writes still throw an I/O
> error now and then.
> 
> The network setup is the NSLU2 and the client connected by wired
> Ethernet to a Linksys WRT54GL.
> 
> -- 
> Paul Collins
> Wellington, New Zealand
> 
> Dag vijandelijk luchtschip de huismeester is dood
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 471062@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Paul Collins <paul@burly.ondioline.org>, 471062@bugs.debian.org
Cc: Gordon Farquharson <gordonfarquharson@gmail.com>
Subject: Re: Bug#471062: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Tue, 18 Mar 2008 21:57:10 +0100
* Paul Collins <paul@burly.ondioline.org> [2008-03-16 04:34]:
> I recently upgraded my NSLU2 from etch/arm to lenny/armel.  I had no
> problems throwing any amount of NFS traffic at it when I was on arm
> (kernel linux-image-2.6.18-6-ixp4xx version 2.6.18.dfsg.1-18etch1), but
> now that I'm on armel I get a lot of messages from nfsd in dmesg.
> 
> When reading:
>         nfsd: recvfrom returned errno 14

OK, I can reproduce this with 2.6.24 on arm on a NSLU2.  However, I
don't see it with 2.6.25-rc6.

Gordon, any idea how many changes there were between 2.6.24 and
2.6.25?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 471062@bugs.debian.org (full text, mbox):

From: "Gordon Farquharson" <gordonfarquharson@gmail.com>
To: "Martin Michlmayr" <tbm@cyrius.com>
Cc: "Paul Collins" <paul@burly.ondioline.org>, 471062@bugs.debian.org
Subject: Re: Bug#471062: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Wed, 19 Mar 2008 22:03:23 -0600
Hi Martin

On Tue, Mar 18, 2008 at 2:57 PM, Martin Michlmayr <tbm@cyrius.com> wrote:

>  OK, I can reproduce this with 2.6.24 on arm on a NSLU2.  However, I
>  don't see it with 2.6.25-rc6.
>
>  Gordon, any idea how many changes there were between 2.6.24 and
>  2.6.25?

I'll have to check. I'll try to look into this before the weekend. I
should update the the network drive patch in 2.6.24 anyway to keep it
in sync with Krzysztof's tree.

Gordon

-- 
Gordon Farquharson
GnuPG Key ID: 32D6D676




Tags added: pending Request was from Gordon Farquharson <gordon-guest@alioth.debian.org> to control@bugs.debian.org. (Sun, 23 Mar 2008 14:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 471062@bugs.debian.org (full text, mbox):

From: "Gordon Farquharson" <gordonfarquharson@gmail.com>
To: "Paul Collins" <paul@burly.ondioline.org>
Cc: "Martin Michlmayr" <tbm@cyrius.com>, 471062@bugs.debian.org
Subject: Re: Bug#471062: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Sun, 23 Mar 2008 15:20:01 -0600
Hi Paul

On Sat, Mar 15, 2008 at 9:34 AM, Paul Collins <paul@burly.ondioline.org> wrote:
> Package: linux-image-2.6.24-1-ixp4xx
>  Version: 2.6.24-4
>
>  I recently upgraded my NSLU2 from etch/arm to lenny/armel.  I had no
>  problems throwing any amount of NFS traffic at it when I was on arm
>  (kernel linux-image-2.6.18-6-ixp4xx version 2.6.18.dfsg.1-18etch1), but
>  now that I'm on armel I get a lot of messages from nfsd in dmesg.

I added a patch to the Debian kernel subversion repository for sid.
Snapshots of the kernel are not built for arm, so I uploaded the
binary here [1]. Martin Michlmayr tested this version and reported
that he could not reproduce the problem. If possible, it would be
great if you could test the new kernel. The following link wil show
you the patch that was applied.

http://svn.debian.org/wsvn/kernel/dists/sid/linux-2.6/debian/patches/bugfix/arm/ixp4xx-update-2.patch?op=file&rev=10959&sc=1

Gordon

[1] http://fradharc.com/files/linux-image-2.6.24-1-ixp4xx_2.6.24-5_arm.deb
md5sum:
c16ad247db142be3e5b6c44441e45a81  linux-image-2.6.24-1-ixp4xx_2.6.24-5_arm.deb

-- 
Gordon Farquharson
GnuPG Key ID: 32D6D676




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to Paul Collins <paul@burly.ondioline.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 471062@bugs.debian.org (full text, mbox):

From: Paul Collins <paul@burly.ondioline.org>
To: "Gordon Farquharson" <gordonfarquharson@gmail.com>
Cc: "Martin Michlmayr" <tbm@cyrius.com>, 471062@bugs.debian.org
Subject: Re: Bug#471062: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Mon, 24 Mar 2008 11:56:10 +1300
Hi Gordon,

"Gordon Farquharson" <gordonfarquharson@gmail.com> writes:
> I added a patch to the Debian kernel subversion repository for sid.
> Snapshots of the kernel are not built for arm, so I uploaded the
> binary here [1]. Martin Michlmayr tested this version and reported
> that he could not reproduce the problem. If possible, it would be
> great if you could test the new kernel. The following link wil show
> you the patch that was applied.

I'm happy to test.  However, the image you linked below is for arm, and
my system is armel.

> [1] http://fradharc.com/files/linux-image-2.6.24-1-ixp4xx_2.6.24-5_arm.deb
> md5sum:
> c16ad247db142be3e5b6c44441e45a81  linux-image-2.6.24-1-ixp4xx_2.6.24-5_arm.deb

-- 
Paul Collins
Wellington, New Zealand

Dag vijandelijk luchtschip de huismeester is dood




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 471062@bugs.debian.org (full text, mbox):

From: "Gordon Farquharson" <gordonfarquharson@gmail.com>
To: "Paul Collins" <paul@burly.ondioline.org>
Cc: "Martin Michlmayr" <tbm@cyrius.com>, 471062@bugs.debian.org
Subject: Re: Bug#471062: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Sun, 23 Mar 2008 20:40:51 -0600
Hi Paul

On Sun, Mar 23, 2008 at 4:56 PM, Paul Collins <paul@burly.ondioline.org> wrote:

>  I'm happy to test.  However, the image you linked below is for arm, and
>  my system is armel.

Ah! Sorry, my fault. I need to make an armel toolchain. I'll let you
know when I have built an armel version.

Gordon

-- 
Gordon Farquharson
GnuPG Key ID: 32D6D676




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to Rob Walker <rob@tenfoot.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 471062@bugs.debian.org (full text, mbox):

From: Rob Walker <rob@tenfoot.org.uk>
To: 471062@bugs.debian.org
Subject: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Tue, 25 Mar 2008 13:07:40 +0000
Hi,

I've been seeing similar errors with NFS writes to a NSLU2 running 2.6.24 (old 
arm, not armel).  Copying a 30Mb mp3 file to the server would result in an 
I/O error and corruption about 20% of the time, with the same errors in 
syslog.

I've just rebuilt the network module with the patch and these errors seem to 
have gone away.  

Also, I was getting loads of alignment faults (/proc/cpu/alignment had 80 
million faults over 20 days).  These seem to have stopped completely now.

Rob




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471062; Package linux-image-2.6.24-1-ixp4xx. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 471062@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Rob Walker <rob@tenfoot.org.uk>, 471062@bugs.debian.org
Subject: Re: Bug#471062: ixp4xx: stalls and I/O errors when reading and writing via NFS
Date: Tue, 25 Mar 2008 14:24:58 +0100
* Rob Walker <rob@tenfoot.org.uk> [2008-03-25 13:07]:
> I've just rebuilt the network module with the patch and these errors seem to
> have gone away.
> 
> Also, I was getting loads of alignment faults (/proc/cpu/alignment had 80
> million faults over 20 days).  These seem to have stopped completely now.

Thanks for your update, Rob!
-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Collins <paul@burly.ondioline.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 471062-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 471062-close@bugs.debian.org
Subject: Bug#471062: fixed in linux-2.6 2.6.24-5
Date: Thu, 27 Mar 2008 16:02:27 +0000
Source: linux-2.6
Source-Version: 2.6.24-5

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.24-5.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.24-5.diff.gz
linux-2.6_2.6.24-5.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.24-5.dsc
linux-doc-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.24_2.6.24-5_all.deb
linux-headers-2.6.24-1-all-powerpc_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-all-powerpc_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-all_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-all_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-common_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-common_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
linux-headers-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
linux-image-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
linux-image-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
linux-image-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
linux-image-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
linux-libc-dev_2.6.24-5_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.24-5_powerpc.deb
linux-manual-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.24_2.6.24-5_all.deb
linux-patch-debian-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.24_2.6.24-5_all.deb
linux-source-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.24_2.6.24-5_all.deb
linux-support-2.6.24-1_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.24-1_2.6.24-5_all.deb
linux-tree-2.6.24_2.6.24-5_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.24_2.6.24-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 471062@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 27 Mar 2008 12:40:16 +0100
Source: linux-2.6
Binary: linux-source-2.6.24 linux-doc-2.6.24 linux-manual-2.6.24 linux-patch-debian-2.6.24 linux-tree-2.6.24 linux-support-2.6.24-1 linux-libc-dev linux-headers-2.6.24-1-all linux-headers-2.6.24-1-all-alpha linux-headers-2.6.24-1-common linux-image-2.6.24-1-alpha-generic linux-headers-2.6.24-1-alpha-generic linux-image-2.6.24-1-alpha-smp linux-headers-2.6.24-1-alpha-smp linux-image-2.6.24-1-alpha-legacy linux-headers-2.6.24-1-alpha-legacy linux-headers-2.6.24-1-all-amd64 linux-image-2.6.24-1-amd64 linux-headers-2.6.24-1-amd64 linux-headers-2.6.24-1-all-arm linux-image-2.6.24-1-footbridge linux-headers-2.6.24-1-footbridge linux-image-2.6.24-1-iop32x linux-headers-2.6.24-1-iop32x linux-image-2.6.24-1-ixp4xx linux-headers-2.6.24-1-ixp4xx linux-headers-2.6.24-1-all-armel linux-image-2.6.24-1-versatile linux-headers-2.6.24-1-versatile linux-headers-2.6.24-1-all-hppa linux-image-2.6.24-1-parisc linux-headers-2.6.24-1-parisc linux-image-2.6.24-1-parisc-smp linux-headers-2.6.24-1-parisc-smp linux-image-2.6.24-1-parisc64 linux-headers-2.6.24-1-parisc64 linux-image-2.6.24-1-parisc64-smp linux-headers-2.6.24-1-parisc64-smp linux-headers-2.6.24-1-all-i386 linux-image-2.6.24-1-486 linux-headers-2.6.24-1-486 linux-image-2.6.24-1-686 linux-headers-2.6.24-1-686 linux-image-2.6.24-1-686-bigmem linux-headers-2.6.24-1-686-bigmem linux-headers-2.6.24-1-common-xen linux-image-2.6.24-1-xen-686 linux-modules-2.6.24-1-xen-686 linux-headers-2.6.24-1-xen-686 linux-headers-2.6.24-1-all-ia64 linux-image-2.6.24-1-itanium linux-headers-2.6.24-1-itanium linux-image-2.6.24-1-mckinley linux-headers-2.6.24-1-mckinley linux-headers-2.6.24-1-all-m68k linux-image-2.6.24-1-amiga linux-headers-2.6.24-1-amiga linux-image-2.6.24-1-atari linux-headers-2.6.24-1-atari linux-image-2.6.24-1-bvme6000 linux-headers-2.6.24-1-bvme6000 linux-image-2.6.24-1-mac linux-headers-2.6.24-1-mac linux-image-2.6.24-1-mvme147 linux-headers-2.6.24-1-mvme147 linux-image-2.6.24-1-mvme16x linux-headers-2.6.24-1-mvme16x linux-headers-2.6.24-1-all-mips linux-image-2.6.24-1-r4k-ip22 linux-headers-2.6.24-1-r4k-ip22 linux-image-2.6.24-1-r5k-ip32 linux-headers-2.6.24-1-r5k-ip32 linux-image-2.6.24-1-sb1-bcm91250a linux-headers-2.6.24-1-sb1-bcm91250a linux-image-2.6.24-1-sb1a-bcm91480b linux-headers-2.6.24-1-sb1a-bcm91480b linux-image-2.6.24-1-4kc-malta linux-headers-2.6.24-1-4kc-malta linux-image-2.6.24-1-5kc-malta linux-headers-2.6.24-1-5kc-malta linux-headers-2.6.24-1-all-mipsel linux-image-2.6.24-1-r5k-cobalt linux-headers-2.6.24-1-r5k-cobalt linux-headers-2.6.24-1-all-powerpc linux-image-2.6.24-1-powerpc linux-headers-2.6.24-1-powerpc linux-image-2.6.24-1-powerpc-smp linux-headers-2.6.24-1-powerpc-smp linux-image-2.6.24-1-powerpc-miboot linux-headers-2.6.24-1-powerpc-miboot linux-image-2.6.24-1-powerpc64 linux-headers-2.6.24-1-powerpc64 linux-headers-2.6.24-1-all-s390 linux-image-2.6.24-1-s390 linux-headers-2.6.24-1-s390 linux-image-2.6.24-1-s390-tape linux-image-2.6.24-1-s390x linux-headers-2.6.24-1-s390x linux-headers-2.6.24-1-all-sparc linux-image-2.6.24-1-sparc64 linux-headers-2.6.24-1-sparc64 linux-image-2.6.24-1-sparc64-smp linux-headers-2.6.24-1-sparc64-smp
Architecture: source all powerpc
Version: 2.6.24-5
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.24 - Linux kernel specific documentation for version 2.6.24
 linux-headers-2.6.24-1-all - All header files for Linux 2.6.24
 linux-headers-2.6.24-1-all-powerpc - All header files for Linux 2.6.24
 linux-headers-2.6.24-1-common - Common header files for Linux 2.6.24
 linux-headers-2.6.24-1-powerpc - Header files for Linux 2.6.24 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.24-1-powerpc-miboot - Header files for Linux 2.6.24 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.24-1-powerpc-smp - Header files for Linux 2.6.24 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.24-1-powerpc64 - Header files for Linux 2.6.24 on 64-bit PowerPC
 linux-image-2.6.24-1-powerpc - Linux 2.6.24 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.24-1-powerpc-miboot - Linux 2.6.24 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.24-1-powerpc-smp - Linux 2.6.24 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.24-1-powerpc64 - Linux 2.6.24 image on 64-bit PowerPC
 linux-libc-dev - Linux Kernel Headers for development
 linux-manual-2.6.24 - Linux kernel API manual pages for version 2.6.24
 linux-patch-debian-2.6.24 - Debian patches to version 2.6.24 of the Linux kernel
 linux-source-2.6.24 - Linux kernel source for version 2.6.24 with Debian patches
 linux-support-2.6.24-1 - Support files for Linux 2.6.24
 linux-tree-2.6.24 - Linux kernel source tree for building Debian kernel images
Closes: 463669 466719 469058 471062
Changes: 
 linux-2.6 (2.6.24-5) unstable; urgency=low
 .
   [ Gordon Farquharson ]
   * [arm] Enable asix driver (USB_NET_AX8817X).
   * [arm] Enable CONFIG_USB_CATC, CONFIG_USB_KAWETH, CONFIG_USB_PEGASUS,
           and CONFIG_USB_RTL8150.
   * [arm/ixp4xx] Update Ethernet driver (closes: #471062).
   * [arm/ixp4xx] Add HSS driver.
 .
   [ Bastian Blank ]
   * [s390/s390-tape]: Override localversion correctly.
   * Add stable release 2.6.24.3:
     - x86_64: CPA, fix cache attribute inconsistency bug
     - bonding: fix NULL pointer deref in startup processing
     - POWERPC: Revert chrp_pci_fixup_vt8231_ata devinit to fix libata on pegasos
     - PCMCIA: Fix station address detection in smc
     - SCSI: gdth: scan for scsi devices
     - USB: fix pm counter leak in usblp
     - S390: Fix futex_atomic_cmpxchg_std inline assembly.
     - genirq: do not leave interupts enabled on free_irq
     - hrtimer: catch expired CLOCK_REALTIME timers early
     - hrtimer: check relative timeouts for overflow
     - SLUB: Deal with annoying gcc warning on kfree()
     - hrtimer: fix *rmtp/restarts handling in compat_sys_nanosleep()
     - hrtimer: fix *rmtp handling in hrtimer_nanosleep()
     - Disable G5 NAP mode during SMU commands on U3
     - Be more robust about bad arguments in get_user_pages()
     - AUDIT: Increase skb->truesize in audit_expand
     - BLUETOOTH: Add conn add/del workqueues to avoid connection fail.
     - INET: Prevent out-of-sync truesize on ip_fragment slow path
     - INET_DIAG: Fix inet_diag_lock_handler error path.
     - IPCOMP: Fetch nexthdr before ipch is destroyed
     - IPCOMP: Fix reception of incompressible packets
     - IPV4: fib: fix route replacement, fib_info is shared
     - IPV4: fib_trie: apply fixes from fib_hash
     - PKT_SCHED: ematch: oops from uninitialized variable (resend)
     - SELinux: Fix double free in selinux_netlbl_sock_setsid()
     - TC: oops in em_meta
     - TCP: Fix a bug in strategy_allowed_congestion_control
     - SCSI: sd: handle bad lba in sense information
     - Fix dl2k constants
     - XFS: Fix oops in xfs_file_readdir()
     - hugetlb: add locking for overcommit sysctl
     - inotify: fix check for one-shot watches before destroying them
     - NFS: Fix a potential file corruption issue when writing
     - NETFILTER: nf_conntrack_tcp: conntrack reopening fix
     - SPARC/SPARC64: Fix usage of .section .sched.text in assembler code.
   * Add stable release 2.6.24.4:
     - S390 futex: let futex_atomic_cmpxchg_pt survive early functional tests.
     - slab: NUMA slab allocator migration bugfix
     - relay: fix subbuf_splice_actor() adding too many pages
     - BLUETOOTH: Fix bugs in previous conn add/del workqueue changes.
     - SCSI advansys: Fix bug in AdvLoadMicrocode
     - async_tx: avoid the async xor_zero_sum path when src_cnt > device->max_xor
     - aio: bad AIO race in aio_complete() leads to process hang
     - jbd: correctly unescape journal data blocks
     - jbd2: correctly unescape journal data blocks
     - zisofs: fix readpage() outside i_size
     - NETFILTER: nfnetlink_log: fix computation of netlink skb size
     - NETFILTER: nfnetlink_queue: fix computation of allocated size for netlink skb
     - NETFILTER: xt_time: fix failure to match on Sundays
     - sched_nr_migrate wrong mode bits
     - nfsd: fix oops on access from high-numbered ports
     - sched: fix race in schedule()
     - SCSI: mpt fusion: don't oops if NumPhys==0
     - SCSI: gdth: fix to internal commands execution
     - SCSI: gdth: bugfix for the at-exit problems
     - Fix default compose table initialization
     - x86: don't use P6_NOPs if compiling with CONFIG_X86_GENERIC
     - SCSI: fix BUG when sum(scatterlist) > bufflen
     - USB: ehci: handle large bulk URBs correctly (again)
     - USB: ftdi_sio - really enable EM1010PC
     - USB: ftdi_sio: Workaround for broken Matrix Orbital serial port
     - VT notifier fix for VT switch
     - eCryptfs: make ecryptfs_prepare_write decrypt the page
     - ioat: fix 'ack' handling, driver must ensure that 'ack' is zero
     - macb: Fix speed setting
     - x86: move out tick_nohz_stop_sched_tick() call from the loop
     - atmel_spi: fix clock polarity
     - b43: Backport bcm4311 fix
     - arcmsr: fix IRQs disabled warning spew
     - e1000e: Fix CRC stripping in hardware context bug
     - PCI x86: always use conf1 to access config space below 256 bytes
     - moduleparam: fix alpha, ia64 and ppc64 compile failures
     - pata_hpt*, pata_serverworks: fix UDMA masking
     - SCSI advansys: fix overrun_buf aligned bug
     - NETFILTER: fix ebtable targets return
     - NETFILTER: Fix incorrect use of skb_make_writable
     - NETFILTER: nfnetlink_queue: fix SKB_LINEAR_ASSERT when mangling packet data
     - spi: pxa2xx_spi clock polarity fix
     - ufs: fix parenthesisation in ufs_set_fs_state()
     - hugetlb: ensure we do not reference a surplus page after handing it to buddy
     - file capabilities: simplify signal check
     - futex: runtime enable pi and robust functionality
     - futex: fix init order
     - ARM pxa: fix clock lookup to find specific device clocks
     - x86: replace LOCK_PREFIX in futex.h
     - SCSI aic94xx: fix REQ_TASK_ABORT and REQ_DEVICE_RESET
     - SCSI gdth: don't call pci_free_consistent under spinlock
     - SCSI ips: fix data buffer accessors conversion bug
     - usb-storage: don't access beyond the end of the sg buffer
     - fuse: fix permission checking
     - CRYPTO xts: Use proper alignment
     - CRYPTO xcbc: Fix crash with IPsec
     - SCSI ips: handle scsi_add_host() failure, and other err cleanups
     - x86: adjust enable_NMI_through_LVT0()
     - drivers: fix dma_get_required_mask
     - iov_iter_advance() fix
     - x86: Clear DF before calling signal handler (closes: #469058)
     - ub: fix up the conversion to sg_init_table()
     - MIPS: Mark all but i8259 interrupts as no-probe.
     - IRQ_NOPROBE helper functions
     - IPCOMP: Disable BH on output when using shared tfm
     - IPCONFIG: The kernel gets no IP from some DHCP servers
     - IPV4: Remove IP_TOS setting privilege checks.
     - IPV6: dst_entry leak in ip4ip6_err.
     - IPV6: Fix IPsec datagram fragmentation
     - NET: Fix race in dev_close(). (Bug 9750)
     - NET: Messed multicast lists after dev_mc_sync/unsync (closes: #466719)
     - NIU: Bump driver version and release date.
     - NIU: Fix BMAC alternate MAC address indexing.
     - NIU: More BMAC alt MAC address fixes.
     - TCP: Improve ipv4 established hash function.
     - SPARC: Fix link errors with gcc-4.3
     - SPARC64: Loosen checks in exception table handling.
 .
   [ Martin Michlmayr ]
   * [mips/r4k-ip22] Enable BLK_DEV_LOOP and BLK_DEV_CRYPTOLOOP.
   * [mips/r5k-ip32] Enable BLK_DEV_LOOP and BLK_DEV_CRYPTOLOOP.
   * [mips/r4k-ip22] Enable PPP, PPPOE and SLIP.
   * [mips/r5k-ip32] Enable PPP, PPPOE and SLIP.
   * Don't check the section size when we're cross compiling.
 .
   [ dann frazier ]
   * Remove cap_task_kill (closes: #463669)
Files: 
 efbfbb001ad6ce99beb7ab29cdb9c291 4297 devel optional linux-2.6_2.6.24-5.dsc
 a2c6f43db486207458ecf37fa042dac3 4409773 devel optional linux-2.6_2.6.24-5.diff.gz
 8be733ca517fca9b6dffe8d88c71517e 4283866 doc optional linux-doc-2.6.24_2.6.24-5_all.deb
 c877cc0ddaca81148172e4e85eeb6bb6 1536990 doc optional linux-manual-2.6.24_2.6.24-5_all.deb
 1a75c2e925661e72048ab0435bf0143a 649206 devel optional linux-patch-debian-2.6.24_2.6.24-5_all.deb
 4e40ee955b23900145b07a77b9efcf2b 45959174 devel optional linux-source-2.6.24_2.6.24-5_all.deb
 584b4eede3d554c7e38bdd2a702a1ca0 92564 devel optional linux-support-2.6.24-1_2.6.24-5_all.deb
 1ec553a3b6a7938de2856cd7b76ceb19 77680 devel optional linux-tree-2.6.24_2.6.24-5_all.deb
 278def9e428c3ce63f424595eee3d40b 19096156 admin optional linux-image-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
 4061d953f0f4e52495abd3639e428ddd 311748 devel optional linux-headers-2.6.24-1-powerpc_2.6.24-5_powerpc.deb
 c13890c3c09129e05731e57e0f46168c 17353162 admin optional linux-image-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
 30c6ba9410524ce974faf2f4e941d812 284028 devel optional linux-headers-2.6.24-1-powerpc-miboot_2.6.24-5_powerpc.deb
 1e7f73643de436cd7bcfe2d141d34dda 19380412 admin optional linux-image-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
 e4dc9593895d7533b37c845f09fbb0c7 311064 devel optional linux-headers-2.6.24-1-powerpc-smp_2.6.24-5_powerpc.deb
 61654e4d0699c5a88ca8bc01bd8b4813 21021086 admin optional linux-image-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
 c116f9d594b0c05effcd106231a25173 312470 devel optional linux-headers-2.6.24-1-powerpc64_2.6.24-5_powerpc.deb
 2b126ab4a2a4aa9b4874b3d5636739e7 3597654 devel optional linux-headers-2.6.24-1-common_2.6.24-5_powerpc.deb
 3e4635d0939a1cbbb55a16f2fb9c4936 77314 devel optional linux-headers-2.6.24-1-all_2.6.24-5_powerpc.deb
 c59bb93161c13b709e0980c172986db1 77342 devel optional linux-headers-2.6.24-1-all-powerpc_2.6.24-5_powerpc.deb
 d1fd585f0a41f7d5da8d37647eb75e2a 717124 devel optional linux-libc-dev_2.6.24-5_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkfrvX4ACgkQxWtQqFixGB4pJACgh5bd/vjgQkZsZ5wPjj627aht
wIwAmwQQOeF1D42Vowl+lnfnwYvvm1Jw
=7dNW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 May 2008 07:42:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:51:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.